import 'app_localizations.dart';

// ignore_for_file: type=lint

/// The translations for Japanese (`ja`).
class AppLocalizationsJa extends AppLocalizations {
  AppLocalizationsJa([String locale = 'ja']) : super(locale);

  @override
  String get about => 'アプリの情報';

  @override
  String get accentChangeMsg => '差し色を変更しました';

  @override
  String get accentColor => '差し色';

  @override
  String get add => '追加';

  @override
  String get addToLikedPlaylists => 'Add to liked playlists';

  @override
  String get addToLikedSongs => 'Add to liked songs';

  @override
  String get addToPlaylist => '再生リストに追加';

  @override
  String get addedSuccess => '追加しました';

  @override
  String get album => 'アルバム';

  @override
  String get albums => 'Albums';

  @override
  String get appUpdateIsAvailable => 'アプリの最新版があります';

  @override
  String get artist => 'アーティスト';

  @override
  String get audioQuality => '音質';

  @override
  String get audioQualityMsg => '音質を変更しました';

  @override
  String get automaticSongPicker => '自動で曲選択';

  @override
  String get backedupSuccess => 'データを正常にバックアップしました';

  @override
  String get backupError => 'データのバックアップ中にエラーが発生しました';

  @override
  String get backupUserData => 'ユーザーデータをバックアップ';

  @override
  String get becomeSponsor => '開発を支援';

  @override
  String get cacheMsg => 'キャッシュを消去しました';

  @override
  String get cancel => 'キャンセル';

  @override
  String get chooseBackupDir => 'バックアップ先のフォルダを選択';

  @override
  String get chooseBackupFiles => 'Choose backup files';

  @override
  String get clear => '消去';

  @override
  String get clearCache => 'キャッシュを削除';

  @override
  String get clearRecentlyPlayed => '再生履歴を削除';

  @override
  String get clearRecentlyPlayedQuestion => '再生履歴を削除しますか？';

  @override
  String get clearSearchHistory => '検索履歴を削除';

  @override
  String get clearSearchHistoryQuestion => '検索履歴を削除しますか？';

  @override
  String get confirm => '確認';

  @override
  String get confirmation => '確認';

  @override
  String get copyLogs => 'ログをコピー';

  @override
  String get copyLogsNoLogs => 'ログまだありません';

  @override
  String get copyLogsSuccess => 'ログをコピーしました';

  @override
  String get customPlaylistImgUrl => 'リスト用の画像のリンク';

  @override
  String get customPlaylistName => 'リスト名の指定';

  @override
  String get deletePlaylist => 'Delete playlist';

  @override
  String get download => 'Download';

  @override
  String get downloadAppUpdate => 'アプリの最新版をダウンロード';

  @override
  String get dynamicColor => '差し色を動的に変更 (Android 12以上)';

  @override
  String get error => '不明のエラーが発生';

  @override
  String get folderRestrictions => 'Androidの新しい制約により、ファイルの種類に対して適切なフォルダを選択する必要があります。本アプリのバックアップには、「Documents」か「Downloads」フォルダを必ず選択してください。';

  @override
  String get home => 'ホーム';

  @override
  String get invalidYouTubePlaylist => 'Invalid Youtube playlist';

  @override
  String get language => '言語';

  @override
  String get languageMsg => '言語を変更しました';

  @override
  String get library => 'Library';

  @override
  String get licenses => 'ライセンス';

  @override
  String get likedPlaylists => 'いいねした再生リスト';

  @override
  String get likedSongs => 'いいねした曲';

  @override
  String get lyrics => '歌詞';

  @override
  String get lyricsNotAvailable => '歌詞は利用できません';

  @override
  String get makeOffline => 'Make available offline';

  @override
  String get name => 'Name';

  @override
  String get newAnnouncement => 'New announcement posted';

  @override
  String get noCustomPlaylists => 'まだ再生リストを作成していません';

  @override
  String get notYTlist => '有効な YouTube 再生リスト ID ではありません';

  @override
  String get offlineMode => 'オフラインモード';

  @override
  String get offlineSongs => 'オフライン用の曲';

  @override
  String get originalRecommendations => 'おすすめに独自アルゴリズムを使用';

  @override
  String get others => 'ほか';

  @override
  String get playlist => '再生リスト';

  @override
  String get playlistAlreadyExists => 'Playlist already exists';

  @override
  String get playlistUpdated => '再生リストを更新しました';

  @override
  String get playlists => '再生リスト';

  @override
  String get predictiveBack => '予測的なバックアニメーションを使用 (Android 14以上)';

  @override
  String get preferences => '設定';

  @override
  String get provideIdOrNameError => 'YouTube のリストの ID か、リスト名を入力してください';

  @override
  String get pureBlackTheme => 'ピュアブラックを使用';

  @override
  String get recentlyPlayed => '最近再生した曲';

  @override
  String get recentlyPlayedMsg => '再生履歴を消去しました';

  @override
  String get recommendedForYou => 'あなたにおすすめ';

  @override
  String get remove => '削除';

  @override
  String get removeFromLikedPlaylists => 'Remove from liked playlists';

  @override
  String get removeFromLikedSongs => 'Remove from liked songs';

  @override
  String get removeFromPlaylist => 'Remove from playlist';

  @override
  String get removeOffline => 'Remove from offline';

  @override
  String get removePlaylistQuestion => 'この再生リストを削除しますか？';

  @override
  String get removeSearchQueryQuestion => 'この検索語句を削除しますか？';

  @override
  String get restartAppMsg => '変更を適用するにはアプリを再起動してください';

  @override
  String get restoreError => 'データ復元中にエラーが発生しました';

  @override
  String get restoreUserData => 'ユーザーデータの復元';

  @override
  String get restoredSuccess => '復元に成功しました';

  @override
  String get search => '検索';

  @override
  String get searchHistoryMsg => '検索履歴を削除しました';

  @override
  String get settingChangedMsg => '設定を変更しました';

  @override
  String get settings => '設定';

  @override
  String get songAdded => '曲を追加しました';

  @override
  String get songAlreadyInPlaylist => 'Song is already in the playlist';

  @override
  String get songRemoved => '曲を除去しました';

  @override
  String get songs => '曲';

  @override
  String get sponsorProject => 'このプロジェクトを支援';

  @override
  String get suggestedArtists => 'おすすめアーティスト';

  @override
  String get suggestedPlaylists => 'おすすめ再生リスト';

  @override
  String get themeMode => 'テーマ種別';

  @override
  String get tools => 'ツール';

  @override
  String get understand => '理解しました';

  @override
  String get undo => '元に戻す';

  @override
  String get useSquigglySlider => 'くねくねしたスライダーを使用';

  @override
  String get userPlaylists => '再生リスト';

  @override
  String get youtubePlaylistLinkOrId => 'YouTube playlist link or ID ';
}
